noweb (2.13-1) unstable; urgency=medium

  * [7d9beb5] Removed patches already integrated into upstream
  * [965811f] Removed already integrated patches from d/p/series
  * [8636376] New upstream version 2.13rc3
  * [22c1c0e] Rediff patches
  * [4c4ca28] Fixed remain string from merge confilct
  * [aeba973] New upstream version 2.13
  * [8bb93fd] Set encoding to UTF-8
  * [7b76913] Bumped compat version Bumped standard version - no chnages needed
  * [666421a] Fixed versioning in d/watch
  * [821bf7f] Bumped year in d/copyright
  * [cd49bc4] Added d/u/metadata and d/salsa-ci.yml

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 04 Oct 2024 19:22:56 +0200

noweb (2.12-4) unstable; urgency=medium

  [ Mechtilde ]
  * [75bf5fa]  Tried to implement that indents are applyable again and test it.
               (Closes: #1029951)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 29 Jan 2023 15:03:38 +0100

noweb (2.12-3) unstable; urgency=medium

  [ Mechtilde ]
  * [c9f87a2] Subject: Replaced more 'bf' by  'bfseries' to make it fit
              to use KOMA-Scripts in LaTeX

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 28 Jan 2023 12:19:39 +0100

noweb (2.12-2) unstable; urgency=medium

  [ Mechtilde ]
  * [93d80ce] Replaced 'tt', 'rm', 'it', 'bf' by 'ttfamily', 'rmfamily',
              'itshape', 'bfseries' to make src/tex/support.nw and
              src/tex/noweb.sty fit to use KOMA-Scripts in LaTeX
              (Closes: #1028964)
  * [d8ad175] Added myself to uploaders in d/control

  [ Hubert Chathi ]
  * [492ea5a] need to have a functioning notangle to build the man pages
  * [a1462d0] add missing dependency

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 22 Jan 2023 21:41:33 +0100

noweb (2.12-1) unstable; urgency=medium

  * New upstream release. (Closes: #981199)
  * debian/control:
    * add salsa repo
  * debian/copyright:
    * noweb is now dual-licensed
    * update source location
  * debian/patches/*:
    * update patches and remove obsolete patches

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 28 Jan 2021 23:08:13 -0500

noweb (2.11b-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop nowebm package and maintainer scripts. Closes: #878777.
  * Switch to debhelper 12 and dh.
    It handles manual pages, DEB_BUILD_OPTIONS.
  * Switch source format from dpatch to 3.0 (quilt) with DEP-3 headers.
    Drop empty 11_german. Inline 99_touch in d/rules.
    Merge and 01_debian and 12_nostrip.
  * Pass hardening flags to upstream Make. Closes: #661655.
  * Add watch file.
  * Switch copyright file to format 1.0.
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * Set priority to optional from obsolete extra.
  * Switch Homepage URL to HTTPS.
  * Remove obsolete Apps section from doc-base registration.
  * Clean files generated by the build.
  * Wrap and sort dependencies..
  * Delete trailing whitespaces in d/changelog and d/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 21 Jan 2020 12:31:45 +0100

noweb (2.11b-11) unstable; urgency=low

  * debian/control, debian/rules: we don't use iconc any more.
    (Closes: #835085)
  * debian/control, debian/copyright: update upstream's home page.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 26 Aug 2016 14:44:34 -0400

noweb (2.11b-10) unstable; urgency=low

  * debian/rules, debian/noweb.postinst, debian/noweb.postrm:
    * use dh_installtex to update TeX cache. (Closes: #814639)
  * debian/noweb.emacsen-startup:
    * use \' instead of $ in auto-mode-alist. (Closes: #616165)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 25 Feb 2016 09:49:02 -0500

noweb (2.11b-9) unstable; urgency=low

  * debian/patches/99_touch.dpatch: Add src/shell/noweave to the list of touched
    files. (Closes: #781099)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 27 Mar 2015 22:06:25 -0400

noweb (2.11b-8) unstable; urgency=low

  * debian/control:
    * Add Multi-Arch field. (Closes: #666085)
    * Recommends texlive. (Closes: #537666)
  * debian/rules:
    * Get build flags from dpkg-buildflags. (Closes: #657656)
    * Handle noopt build option.
  * src/shell/nountangle: allow multiple -filter options. (Closes: #537668)
    (Thanks to Anon Sricharoenchai for the patch.)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 12 Sep 2014 12:09:40 -0400

noweb (2.11b-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/99_touch.dpatch: Add src/Makefile to the list of touched
    files. (Closes: #701056)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Feb 2013 21:43:25 +0100

noweb (2.11b-7) unstable; urgency=low

  * debian/patches/13_bashism.dpatch: Fix unportable backslash in call to echo.
    (Closes: #486052)
  * debian/patches/00list: It helps if this file is updated.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 16 Jun 2008 13:16:19 -0400

noweb (2.11b-6) unstable; urgency=low

  * debian/patches/12_nostrip.dpatch: Comment out call to strip in
    Makefile. (Closes: #437653)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 11 Jun 2008 12:49:51 -0400

noweb (2.11b-5) unstable; urgency=low

  * Use debian/compat file for debhelper compatibility version instead of
    DH_COMPAT variable.
  * Use $(CURDIR) instead of $(PWD).
  * Use Homepage field instead of homepage in description.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 06 Jun 2008 16:53:31 -0400

noweb (2.11b-4) unstable; urgency=low

  * Remove/move old conffile /etc/emacs/site-start.d/50nowebm.el if
    present. (Closes: #454705)
  * Bump standards version to 3.7.3 (no changes needed).

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 06 Jun 2008 10:00:27 -0400

noweb (2.11b-3) unstable; urgency=low

  * Use vmargin.sty instead of vpage.sty in onepage.tex. (Closes: #420614)
  * Fix German translation. (Closes: #418892)
  * Update build-depends for texlive.
  * Rename binary package to noweb, as per upstream's request. (Closes: #404507)

 -- Hubert Chan <uhoreg@debian.org>  Wed, 16 May 2007 14:22:41 -0400

noweb (2.11b-2) unstable; urgency=low

  * New maintainer. (Closes: #398109)
  * Acknowledge NMUs.  Thanks to Martin Zobel-Helas, Norman Ramsey, Joey
    Hess, Martin Shulze, Steve Langasek.  (Closes: #218050, #284691)
  * Fix patches so that we have a working clean target always, and push
    touching of roff output later into the patch.
  * Touch manpages to avoid rebuilding. (Closes: #394551)
  * Fix up a few minor build issues.
  * Update copyright file.
  * Remove obsolete README.Debian file, and other unnecessary cruft.
  * Add homepage to package description.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 22 Nov 2006 18:13:25 -0500

noweb (2.11b-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * build-depend on awk instead of gawk (Closes: #339835)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Fri, 15 Sep 2006 14:20:25 +0000

noweb (2.11b-1.3) unstable; urgency=low

  [ Norman Ramsey ]
  * Non-maintainer upload.
  * Fixed some problems with Makefiles
  * Added scopehack to distribution. Closes: #284691
  * New upstream release
       - Closes: #218050 (and a related problem with noweave -x)
       - Closes: #223376
       - notes limits of htmltoc in man page (won't fix #157853)

  [ Joey Hess ]
  * Cleaned up the changelog bug closings, etc.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jun 2006 14:57:58 -0400

noweb (2.11a-1.0) unstable; urgency=low

  * NMU

  [ Norman Ramsey ]
  * New upstream release
  * The security release put in patches that caused noweb to be
    unbuildable without noweb.  Existing patches were split and
    reordered to eliminate this problem.  In the process, I transitioned
    the package from dbs to dpatch, as recommended in the dbs man pages
    and the New Maintainer's Guide.

  [ Joey Hess ]
  * Add a dependency on gawk, which provides nawk, which noroots uses.
    Closes: #339835
  * Fix path in README.Debian. Closes: #223376
  * Current standards-version.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jun 2006 18:57:15 -0400

noweb (2.10c-3.3) unstable; urgency=low

  * NMU
  * Patch from Matt Kraai to complete xlibs-dev transition. Closes: #347128

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 20:49:54 -0500

noweb (2.10c-3.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by Javier Fernández-Sanguino Peña to fix insecure
    temporary files [debian/patches/005_security_CVE-2005-3342]

 -- Martin Schulze <joey@infodrom.org>  Thu, 26 Jan 2006 20:54:50 +0100

noweb (2.10c-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply complete security fixes for DSA-323-1 to the version in sid
    (closes: #271146).

 -- Steve Langasek <vorlon@debian.org>  Tue, 21 Sep 2004 00:19:02 -0700

noweb (2.10c-3) unstable; urgency=low

  * Changed "nobweb" to "noweb" is noweb-mode.el. (Closes: #196757)
  * 002_tmp_fix: applied patch from Yann Dirson to change last instance of
    /tmp/tags.$$ to $tmpfile (no more "troff: fatal error: can't find
    macro file gm" error.) (Closes: #218050)
  * html-tidy says guide.html has some problems (empty <p>, etc.) but not
    the table error described in the bug report. (Closes: #67876)

 -- Federico Di Gregorio <fog@initd.org>  Sun,  2 Nov 2003 12:21:56 +0100

noweb (2.10c-2) unstable; urgency=low

  * Updated Standards-Version field to 3.5.9.
  * Fixed debian/rules to explicitly define DESTDIR (Closes: #175242)
  * Patch 002_tmp_fix (Closes: #173240)
    - fixes insecure usage of /tmp by cpif
    - fixes insecure usage of /tmp by noroff
  * Switched to icont only again (Closes: #142644)
  * Removed full stop from synopsis.
  * Removed debian/nowebm.conffiles (dh_installemacs does that)

 -- Federico Di Gregorio <fog@debian.org>  Fri,  4 Apr 2003 11:18:40 +0200

noweb (2.10c-1) unstable; urgency=low

  * New upstream release.
  * Resynced version number.
  * Re-enabled iconc, let see if it compiles right on strange archs.
  * Reintegrated cpif into main package.

 -- Federico Di Gregorio <fog@initd.org>  Wed, 24 Jul 2002 20:48:22 +0200

noweb (2.10b.1-1) unstable; urgency=low

  * postrm script calls texhash on remove only (closes: #153226).
  * Closing bugs fixed in NMU (closes: #132119).
  * Finally switched to debhelper V3 and dbs.
  * ICONC=icont as suggested by the upstream author. That should fix all
    the build problems on non-i386 archs.
  * Created cpif package as requested on the BTS 2 years ago (closes: #54182)
  * Changed upstream version to 2.10b.1 to be able to upload new source
    tarball, next upstream version will be 2.10c and will be in sync
    again.

 -- Federico Di Gregorio <fog@debian.org>  Wed, 17 Jul 2002 12:51:42 +0200

noweb (2.10b-1) unstable; urgency=low

  * New upstream release (closes: #153170).

 -- Federico Di Gregorio <fog@initd.org>  Tue, 16 Jul 2002 18:00:50 +0200

noweb (2.9a-10) unstable; urgency=high

  * Fixed wrong url in copyright (closes: #145523).
  * Set urgency=high to hopefully get in woody (noweb is stable, the only
    fixes are compiling problems on some archs.)

 -- Federico Di Gregorio <fog@initd.org>  Thu,  2 May 2002 14:26:04 +0200

noweb (2.9a-9) unstable; urgency=high

  * Trying to fix the ia64 bug the hppa way.

 -- Federico Di Gregorio <fog@initd.org>  Mon, 29 Apr 2002 21:45:42 +0200

noweb (2.9a-8) unstable; urgency=low

  * Applied patch from LaMont Jones (closes: #144323).

 -- Federico Di Gregorio <fog@debian.org>  Wed, 24 Apr 2002 11:17:09 +0200

noweb (2.9a-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/emacs/site-start.d/50nowebm.el a conffile (closes: #132119).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2002 15:45:10 +0000

noweb (2.9a-7) frozen unstable; urgency=low

  * Re-upload with bumped version to avoid overwrite problems.

 -- Federico Di Gregorio <fog@debian.org>  Wed, 19 Sep 2001 15:58:20 +0200

noweb (2.9a-6) frozen unstable; urgency=low

  * Added build deps (Closes: #109356).
  * Bumped up policy version.

 -- Federico Di Gregorio <fog@debian.org>  Mon,  3 Sep 2001 18:30:17 +0200

noweb (2.9a-5) frozen unstable; urgency=low

  * Applied patch from Paco Moya <fmoya@inf-cr.uclm.es> to fix a
    path in /etc/emacs/site-start.d/50nowebm.el.

 -- Federico Di Gregorio <fog@debian.org>  Wed, 26 Jan 2000 18:23:09 +0100

noweb (2.9a-4) frozen unstable; urgency=low

  * Argh! I missed to specify "frozen" again. Let's re-upload the whole
    stuff again (and again (and again (and ...)))

 -- Federico Di Gregorio <fog@debian.org>  Thu, 20 Jan 2000 20:24:41 +0100

noweb (2.9a-3) unstable; urgency=low

  * Reupload to make it into frozen.

 -- Federico Di Gregorio <fog@debian.org>  Thu, 20 Jan 2000 09:40:27 +0100

noweb (2.9a-2) unstable; urgency=low

  * Fixed bug in debian/rules. Now shell scripts are built with
    correct path.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 15 Jan 2000 19:12:46 +0100

noweb (2.9a-1) unstable; urgency=low

  * New upstream version (fixes: #54115)
  * Applied PowerPC patch from Konstantinos Margaritis
    <markos@feanor.nuclear.demokritos.gr> (fixes: #51874)
  * Applied postinst/prerm patch from Rafael Laboissiere
    <rafael@icp.inpg.fr> (fixes: #34029)
  * Changed documentation entry from menu to docbase (fixes: #32100)
  * Now FHS compliant (fixes: #42451)
  * Adption of debhelper in debian/rules.
  * Lintian clean!

 -- Federico Di Gregorio <fog@debian.org>  Sat,  8 Jan 2000 12:23:04 +0100

noweb (2.8a-3) frozen unstable; urgency=low

  * Got new licence from upstream author: noweb can now stay
    in main! (Thank you a lot Norman.)
  * Changed name to nowebm (noweb-modified). This is required by
    the licence to do any modification (packaging/bugfixing/etc...)
  * Removed mawk dependence (fixes: #19622).
  * Made the package lintian-clean.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 13 Apr 1998 22:14:14 +0100

noweb (2.8a-2) unstable; urgency=low

  * Moved LaTeX .sty file to .../latex/litprog.
  * Added documentation (onepage.ps) got from Norman noweb page.
  * Removed bashisms from debian/rules.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 28 Feb 1998 12:14:14 +0100

noweb (2.8a-1) unstable; urgency=low

  * Initial release. (And now if only Norman would change the license...)

 -- Federico Di Gregorio <fog@debian.org>  Tue, 18 Nov 1997 11:47:27 +0100
